POST V1/FundingStatements.{ext}/Create

Authorized Personnel of ProKarma ‘Create’ a funding statement. This means a Funding Statement with Date Stamp is created as a shell/container for bill transactions to be funded. If the partner has multiple clients, ProKarma would create multiple FS (one per each client). To create a Funding Statement, you need to enter the Funding Statement Date and the Fund Date,Payment Currency,FSMode. Our Payment Workflow also supports creation of a Funding Statement for all the Site Groups of a Client or a single Site Group as well.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Create FS Entity.

EMS.Payments.Entities.FundingStatement
NameDescriptionTypeAdditional information
FundingStatementId

System Generated Id

integer

None.

FundingStatementName

Funding Statement Name

string

None.

FundingStatementDate

Funding Statement Date

string

None.

Status

Funding Statement Status

string

None.

Transactions

Number Transactions in FS

string

None.

PayByAmount

Pay By Amount

decimal number

None.

CurrentCharges

Current Charges

decimal number

None.

BillAmount

Bill Amount

decimal number

None.

FundDate

Fund Date

string

None.

ClientId

Client Id

integer

None.

Currency

Currency

string

None.

FSMode

Funding Statement Mode

string

None.

SiteGroup

Site Group

string

None.

Comments

Commets

string

None.

FundingStatementDateWithTime

FS Date With Time

date

None.

PaymentMethod

Payment Method

string

None.

CreatedBy

No description available

string

None.

UserImage

No description available

string

None.

CommentsDate

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "fundingStatementId": 1,
  "fundingStatementName": "sample string 1",
  "fundingStatementDate": "sample string 2",
  "status": "sample string 3",
  "transactions": "sample string 4",
  "payByAmount": 1.0,
  "currentCharges": 1.0,
  "billAmount": 1.0,
  "fundDate": "sample string 5",
  "clientId": 1,
  "currency": "sample string 6",
  "fsMode": "sample string 7",
  "siteGroup": "sample string 8",
  "comments": "sample string 9",
  "fundingStatementDateWithTime": "2026-06-01T14:13:53.8972367-04:00",
  "paymentMethod": "sample string 11",
  "createdBy": "sample string 12",
  "userImage": "sample string 13",
  "commentsDate": "sample string 14"
}

application/xml, text/xml

Sample:
<FundingStatement xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <BillAmount>1</BillAmount>
  <ClientId>1</ClientId>
  <Comments>sample string 9</Comments>
  <CommentsDate>sample string 14</CommentsDate>
  <CreatedBy>sample string 12</CreatedBy>
  <Currency>sample string 6</Currency>
  <CurrentCharges>1</CurrentCharges>
  <FSMode>sample string 7</FSMode>
  <FundDate>sample string 5</FundDate>
  <FundingStatementDate>sample string 2</FundingStatementDate>
  <FundingStatementDateWithTime>2026-06-01T14:13:53.8972367-04:00</FundingStatementDateWithTime>
  <FundingStatementId>1</FundingStatementId>
  <FundingStatementName>sample string 1</FundingStatementName>
  <PayByAmount>1</PayByAmount>
  <PaymentMethod>sample string 11</PaymentMethod>
  <SiteGroup>sample string 8</SiteGroup>
  <Status>sample string 3</Status>
  <Transactions>sample string 4</Transactions>
  <UserImage>sample string 13</UserImage>
</FundingStatement>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Whether Funding statement is created or not in transaction result entity.

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.